import * as types from "../constants/actionTypes";

const initState = {
    inputData: [],
    isFetching: false,
    error: null
  };

export default (state = initState, {type, payload} ) => {
    switch(type) {
        case types.USER_AUTH_REQUEST: {
            return {
                ...state,
                inputData: payload,
                isFatching: true
            }
        }
        case types.USER_AUTH_REQUEST_SUCCESS: {
            return {
                ...state,
                inputData: payload.data,
                isFatching: false
            }
        }
        case types.USER_AUTH_REQUEST_FAIL: {
            return {
                ...state,
                isFatching: false,
                error: "ERROR"
            }
        }
        default: return state;

    }
};